Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.parser
Class ASTConstructorDeclaration

    java.lang.Object
      |
      +--jedi.parser.SimpleNode
            |
            +--jedi.parser.ASTConstructorDeclaration

All Implemented Interfaces:
  Node

public class ASTConstructorDeclaration
extends SimpleNode

Fields inherited from class jedi.parser.SimpleNode
`children, first_token, id, last_token, parent, parser`

Constructor Summary
`ASTConstructorDeclaration(int id)`
`ASTConstructorDeclaration(JavaParser p, int id)`

Method Summary
`FileLocation` | `getBlock()`
`java.lang.String` | `getName()`
`java.util.Vector` | `getParameters()`
`java.util.Vector` | `getThrows()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`void` | `setName(java.lang.String s)`
`void` | `setPrivate(boolean b)`
`void` | `setProtected(boolean b)`
`void` | `setPublic(boolean b)`

Methods inherited from class jedi.parser.SimpleNode
`dump, getJavaDoc, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTConstructorDeclaration

    public ASTConstructorDeclaration(int id)

### ASTConstructorDeclaration

    public ASTConstructorDeclaration(JavaParser p,
                                     int id)

Method Detail

### getBlock

    public FileLocation getBlock()

### getName

    public java.lang.String getName()

### getParameters

    public java.util.Vector getParameters()

### getThrows

    public java.util.Vector getThrows()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### setName

    public void setName(java.lang.String s)

### setPrivate

    public void setPrivate(boolean b)

### setProtected

    public void setProtected(boolean b)

### setPublic

    public void setPublic(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD